Book an open issue for a sponsor, or hold it until a date
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sponsor-slots/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/issues/1/book"
payload := strings.NewReader("{ \"holdUntil\": \"2026-04-15\", \"notes\": \"example\", \"priceCents\": 1, \"sponsorId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"status\": \"booked\" }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sponsor-slots/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/issues/1/book';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"holdUntil":"2026-04-15","notes":"example","priceCents":1,"sponsorId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","status":"booked"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sponsor-slots/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/issues/1/book \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "holdUntil": "2026-04-15", "notes": "example", "priceCents": 1, "sponsorId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "status": "booked" }'Permission: sponsors:manage
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace slug
Workspace slug
The slot’s id
The slot’s id
The issue’s number
The issue’s number
Request Bodyrequired
Section titled “Request Bodyrequired”object
The slot’s default price when absent.
Responses
Section titled “Responses”Created
object
object
object
object
object
Up to 280 characters.
object
object
object
object
object
object
object
Up to 280 characters.
object
object
object
object
Example
{ "creativeStatus": "waiting", "payment": { "status": "unpaid" }, "report": { "links": [ { "kind": "button" } ] }, "status": "proposed"}default
Section titled “default”Error
object
Stable error code, e.g. permission_denied
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
Members who hold the missing permission
A URI reference that identifies the specific occurrence of the problem.
object
The missing permission key
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}